Bug 1160770 - (CVE-2019-9278) VUL-0: CVE-2019-9278: libexif: Out of bound write in exif-data.c
(CVE-2019-9278)
VUL-0: CVE-2019-9278: libexif: Out of bound write in exif-data.c
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Marcus Meissner
Security Team bot
https://smash.suse.de/issue/243654/
CVSSv2:NVD:CVE-2019-9278:6.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-13 12:00 UTC by Wolfgang Frisch
Modified: 2020-07-08 13:22 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2020-01-13 12:00:55 UTC
CVE-2019-9278

In libexif, there is a possible out of bounds write due to an integer overflow. This could lead to remote escalation of privilege in the media content provider with no additional execution privileges needed. User interaction is needed for exploitation. 

Upstream issue:

https://github.com/libexif/libexif/issues/26

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1789031
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9278
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9278.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9278
https://source.android.com/security/bulletin/android-10
Comment 4 Marcus Meissner 2020-01-31 15:28:16 UTC
released
Comment 6 Swamp Workflow Management 2020-02-25 14:20:31 UTC
SUSE-SU-2020:0457-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120943,1160770
CVE References: CVE-2018-20030,CVE-2019-9278
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    libexif-0.6.21-8.6.1
SUSE OpenStack Cloud 8 (src):    libexif-0.6.21-8.6.1
SUSE OpenStack Cloud 7 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP4 (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    libexif-0.6.21-8.6.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libexif-0.6.21-8.6.1
SUSE Enterprise Storage 5 (src):    libexif-0.6.21-8.6.1
HPE Helion Openstack 8 (src):    libexif-0.6.21-8.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-02-25 14:32:37 UTC
SUSE-SU-2020:0458-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120943,1160770
CVE References: CVE-2018-20030,CVE-2019-9278
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libexif-0.6.21-5.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    libexif-0.6.21-5.3.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    libexif-0.6.21-5.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-02-27 14:14:21 UTC
SUSE-SU-2020:14294-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120943,1160770
CVE References: CVE-2018-20030,CVE-2019-9278
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    libexif-0.6.17-2.14.7.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    libexif-0.6.17-2.14.7.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libexif-0.6.17-2.14.7.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    libexif-0.6.17-2.14.7.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-03-01 17:13:57 UTC
openSUSE-SU-2020:0264-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120943,1160770
CVE References: CVE-2018-20030,CVE-2019-9278
Sources used:
openSUSE Leap 15.1 (src):    libexif-0.6.21-lp151.4.3.1
Comment 10 OBSbugzilla Bot 2020-05-18 17:00:16 UTC
This is an autogenerated message for OBS integration:
This bug (1160770) was mentioned in
https://build.opensuse.org/request/show/807015 Factory / libexif
Comment 14 Swamp Workflow Management 2020-06-04 13:18:40 UTC
SUSE-SU-2020:1534-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    libexif-0.6.22-8.9.1
SUSE OpenStack Cloud 8 (src):    libexif-0.6.22-8.9.1
SUSE OpenStack Cloud 7 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP5 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP4 (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libexif-0.6.22-8.9.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    libexif-0.6.22-8.9.1
SUSE Enterprise Storage 5 (src):    libexif-0.6.22-8.9.1
HPE Helion Openstack 8 (src):    libexif-0.6.22-8.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2020-06-08 13:20:05 UTC
SUSE-SU-2020:1553-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    libexif-0.6.22-5.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2020-06-11 13:13:04 UTC
openSUSE-SU-2020:0793-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
openSUSE Leap 15.1 (src):    libexif-0.6.22-lp151.4.6.1
Comment 17 Swamp Workflow Management 2020-07-08 13:22:41 UTC
SUSE-SU-2020:1553-2: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1055857,1059893,1120943,1160770,1171475,1171847,1172105,1172116,1172121
CVE References: CVE-2016-6328,CVE-2017-7544,CVE-2018-20030,CVE-2019-9278,CVE-2020-0093,CVE-2020-12767,CVE-2020-13112,CVE-2020-13113,CVE-2020-13114
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    libexif-0.6.22-5.6.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    libexif-0.6.22-5.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    libexif-0.6.22-5.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.